Subject: RE: ld.exe crashes when I build wxWindows under cygwin
From: Feng Xian <[email-masked]>
To: Todorovic Vladica-VTODORO1 <[email-masked]>
Cc: [email-masked]
Date: 09 Apr 2003 14:57:17 -0400

thanks i will try that. the news is after I upgrade the cygwin (though i
just installed it a couple days ago) and recompile wxWindows with
MSW/DLL, it built and ran fine. i will try with X11/DLL and X11/stable
later,

cheers,

Alex

On Wed, 2003-04-09 at 14:46, Todorovic Vladica-VTODORO1 wrote:
> I saw the same crash a month ago, but I didn't bother to try to figure out
> why. I simply re-configured wxWindows to use static library, i.e., 
> 
> configure --disable-shared 
> 
> and the build was fine then. The static library was even better solution for
> me.
> 
> Vladica
> 
> 
> -----Original Message-----
> From: Feng Xian [mailto:[email-masked]]
> Sent: Wednesday, April 09, 2003 11:00 AM
> To: [email-masked]
> Subject: ld.exe crashes when I build wxWindows under cygwin
> 
> 
> I am trying to build wxWindows under cygwin. both cygwin and wxWindows
> are latest version(I download them a couple days ago).  the compiling
> stage seems ok. but I have trouble when the DLL is built.
> 
> anybody know what's going on here or has the similar experence like me?
> BTW, I also have trouble to build wxWindows by using X11. the code could
> be built  (with some modification on Makefiles) but crashed at runtime.
> 
> the configure of wxWindows is like this
> 
> $ configure  --with-msw
> 
> the error happened when link the DLL, command line and output like
> following, (and also the dump file of ld.exe)
> 
> $ cd  ~/wxmsw/wxWindows-2.4.0
> $ make
> c++ -shared -Wl,--out-implib,lib/wxmsw240.dll.a -o lib/wxmsw240.dll 
> accel.=
> o app.o bitmap.o bmpbuttn.o brush.o button.o caret.o checkbox.o
> checklst.o =
> choice.o clipbrd.o colordlg.o colour.o combobox.o control.o curico.o
> cursor=
> .o data.o dc.o dcclient.o dcmemory.o dcprint.o dcscreen.o dde.o dialog.o
> di=
> alup.o dib.o dibutils.o dir.o dirdlg.o dragimag.o enhmeta.o evtloop.o
> fdrep=
> dlg.o filedlg.o font.o fontdlg.o fontenum.o fontutil.o frame.o gauge95.o
> gd=
> iimage.o gdiobj.o glcanvas.o gsocket.o gsockmsw.o helpbest.o helpchm.o
> help=
> win.o icon.o imaglist.o iniconf.o joystick.o listbox.o listctrl.o main.o
> md=
> i.o menu.o menuitem.o metafile.o mimetype.o minifram.o msgdlg.o mslu.o
> nati=
> vdlg.o notebook.o ownerdrw.o palette.o pen.o penwin.o popupwin.o
> printdlg.o=
>  printwin.o radiobox.o radiobut.o regconf.o region.o registry.o
> scrolbar.o =
> settings.o slider95.o snglinst.o spinbutt.o spinctrl.o statbmp.o
> statbox.o =
> statbr95.o statline.o stattext.o tabctrl.o taskbar.o tbar95.o textctrl.o
> tg=
> lbtn.o thread.o timer.o tooltip.o toplevel.o treectrl.o utils.o
> utilsexc.o =
> volume.o wave.o window.o appcmn.o artprov.o artstd.o choiccmn.o
> clipcmn.o c=
> lntdata.o cmdline.o cmdproc.o cmndata.o config.o containr.o cshelp.o
> ctrlcm=
> n.o ctrlsub.o datetime.o datstrm.o db.o dbgrid.o dbtable.o dcbase.o
> dircmn.=
> o dlgcmn.o dndcmn.o dobjcmn.o docmdi.o docview.o dseldlg.o dynarray.o
> dynli=
> b.o dynload.o effects.o encconv.o event.o extended.o fddlgcmn.o ffile.o
> fil=
> e.o fileconf.o filefn.o filename.o filesys.o fontcmn.o fontmap.o
> framecmn.o=
>  fs_inet.o fs_mem.o fs_zip.o ftp.o gaugecmn.o gdicmn.o geometry.o
> gifdecod.=
> o hash.o hashmap.o helpbase.o http.o iconbndl.o imagall.o imagbmp.o
> image.o=
>  imagfill.o imaggif.o imagiff.o imagjpeg.o imagpcx.o imagpng.o imagpnm.o
> im=
> agtiff.o imagxpm.o intl.o ipcbase.o layout.o lboxcmn.o list.o log.o
> longlon=
> g.o matrix.o memory.o menucmn.o mimecmn.o module.o msgout.o mstream.o
> nbkba=
> se.o object.o odbc.o paper.o popupcmn.o prntbase.o process.o protocol.o
> qua=
> ntize.o radiocmn.o regex.o resource.o sckaddr.o sckfile.o sckipc.o
> sckstrm.=
> o settcmn.o sizer.o socket.o statbar.o strconv.o stream.o string.o
> sysopt.o=
>  tbarbase.o textbuf.o textcmn.o textfile.o timercmn.o tokenzr.o
> toplvcmn.o =
> treebase.o txtstrm.o unzip.o url.o utilscmn.o valgen.o validate.o
> valtext.o=
>  variant.o wfstream.o wincmn.o wxchar.o wxexpr.o xpmdecod.o zipstrm.o
> zstre=
> am.o busyinfo.o calctrl.o choicdgg.o dcbuffer.o dcpsg.o dirctrlg.o
> dragimgg=
> .o grid.o gridctrl.o gridsel.o laywin.o logg.o numdlgg.o panelg.o
> progdlgg.=
> o prop.o propform.o proplist.o sashwin.o scrlwing.o spinctlg.o splash.o
> spl=
> itter.o statusbr.o tbarsmpl.o textdlgg.o tipdlg.o tipwin.o treectlg.o
> treel=
> ay.o wizard.o helpctrl.o helpdata.o helpfrm.o htmlcell.o htmlfilt.o
> htmlpar=
> s.o htmltag.o htmlwin.o htmprint.o m_dflist.o m_fonts.o m_hline.o
> m_image.o=
>  m_layout.o m_links.o m_list.o m_pre.o m_style.o m_tables.o winpars.o
> autom=
> tn.o dataobj.o dropsrc.o droptgt.o oleutils.o uuid.o
> -Wl,--version-script,.=
> /version-script -lpng -ljpeg -ltiff -lz -lrpcrt4 -loleaut32 -lole32
> -luuid =
> -lwinspool -lwinmm -lshell32 -lcomctl32 -lctl3d32 -ladvapi32 -lwsock32
> -lke=
> rnel32 -luser32 -lgdi32 -lcomdlg32=20
> collect2: ld terminated with signal 11 [Segmentation fault]
> Creating library file: lib/wxmsw240.dll.a
> make: *** [lib/wxmsw240.dll] Error 1
> 
> $ cat ld.exe.stackdump=20
> Exception: STATUS_ACCESS_VIOLATION at eip=3D00436191
> eax=3D00000008 ebx=3D00000000 ecx=3D00000007 edx=3D00000000
> esi=3D0042FDAA =
> edi=3D0043611E
> ebp=3D0022FDA8 esp=3D0022FD90 program=3DC:\cygwin\bin\ld.exe
> cs=3D001B ds=3D0023 es=3D0023 fs=3D0038 gs=3D0000 ss=3D0023
> Stack trace:
> Frame     Function  Args
> 0022FDA8  00436191  (0042FDA9, 00000000, 00001604, 00000000)
> 0022FE08  0043336E  (0D847E94, 0D486BE0, 00000006, 00434DDB)
> 0022FE48  0043441E  (0D484ED8, 0A010BD0, 0022FE68, 00423F38)
> 0022FE58  0042A2D0  (00000000, 0041F3E7, 0022FE98, 0041BA32)
> 0022FE68  00423F38  (0A0103D8, 0A010428, 00000000, 1042410E)
> 0022FE98  0041BA32  (0A01D2C8, 616850A4, 00000000, 000C5CD0)
> 0022FEE0  0041EEBC  (0000014E, 616850A4, 0A010278, 00000000)
> 0022FF30  61005B8E  (00000014, FFFFFFFE, 0000003C, 610C28D0)
> 0022FF90  61005E2C  (00000000, 00000000, 80430D77, 00000000)
> 0022FFB0  00497B62  (0041E910, 037F0009, 0022FFF0, 77E97D08)
> 0022FFC0  0040103C  (00000000, 0241F918, 7FFDF000, 61116B48)
> 0022FFF0  77E97D08  (00401000, 00000000, 000000C8, 00000100)
> End of stack trace

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/